classes:
- service.linux.system
parameters:
  openssh:
    server:
      permit_root_login: true
    client:
      enabled: true
      user:
        root:
          enabled: true
          user: ${linux:system:user:root}
          private_key: ${private_keys:doa.robotice.cz}
          known_hosts:
          - ${known_hosts:repo1.robotice.cz}
  known_hosts:
    repo1.robotice.cz:
      name: repo1.robotice.cz
      type: ecdsa
      fingerprint: 73:01:b9:d5:2b:56:f5:e7:90:5a:88:37:fc:04:d1:07
  private_keys:
    doa.robotice.cz:
      type: rsa
      key: |
        -----BEGIN RSA PRIVATE KEY-----
        MIIEpAIBAAKCAQEAzGZ5qwlf0YvX/ffYWslWyLc7aq5eeOZtLu7G/D/R/1LJsRRE
        x521ZW6vw3jlUvi9/ZLJQ0ubTHJqEyO32ujQATIjtvOcm9M9Hw8xf4fZJUT5wUq1
        NmdNQdzYN337OjtWELts0NuvsvZZOvdcVEHMnSb4eNhge7tY9/GetiYNzgxPxmfm
        wkM9PwwrIz2g/JOBzeKAPMkA1QZFtAy1n2heiyGcOOybLdPu0VCpfDhMmkVAh88a
        vDRQNAkBDynnlEEo8S2ojgI91RUzUMPZvyRQgCgSHtjXz8V0zPNSEC6yTuaObsyH
        YsJVwjZXNFgEe3i3pKrdHVvpSSavFpXXmakCvwIDAQABAoIBAQClN9f05pjrGmy2
        vtXFXKWnjGScsOFwPGHY4+04DKZECbk6R7Xo3JO5r6SnDlvfm2yHQVUp7j1Tp9AS
        NHbynek0bkDsKzJVyoPHTVKnUTm2pHB1S1v647lRGaA0CsM9qKTC1Zz5nfoBYJtz
        zGp3ONCZ3txNYilrGl6p3EZ72XqjJ2JunfI4Yd8FZtLYV+XkHiko3/QTm7eowTAs
        7duvf1HdCzV0HkLwCLF00kZlBi84OIU9bu0kFE67vUPrbu8ipn6LKWqFULmZpBwB
        UiF5AujT3iZ5IhmHB0zT0/CCCm/LMM+60u3LjVhKbCwuEDE7aMZ5CmwVEgSVjj24
        lTarvmPRAoGBAO1JluQg32ShII2sLD1chvfQoz3/FJ08SoGhDzExRJJi4WVu+Frz
        zUyYgJhnmVvdQMcyGVxLL/bvjydTd7n1/2RByeGpDianI09XdLmjfMLm8LY5qJGI
        ykpTW7ldX2WgSu7FkJMd725IuPQM+c/Dn14QwR5g2Gpy4MBYrivREvHrAoGBANyE
        8+DDI+KiKgMMrizzFO6Mv9k7TIzxFAX18ksKuDVetWazvrrioENhZdxLBeRdczW3
        xXxRSgBULoqj4IUKi/O1JASGeI5lngwdqLAwqiTm9S4k4QH36pw6W/iCRtG27TjJ
        jRl6K3donLzxDFiFChnxi16SJqTy2VRCnzInLul9AoGBAJGwMxLSFBbGzyPs6CSs
        oLmawf+Yk+GOWPiKGLfNVhrC1zzeC2Jcelpi7+GjCgfbKqCi4+tExqhIoY41szbc
        EPhPZFJG58dXq1hVi/dGp51LCdP4RsVERV+pGpIPADl3V0qOxpttL8p4oAZHyUGF
        DF5GzyuFrpp8+f1e9WE1tvoNAoGAcLzj9ZeuI/Jl6hM0hLRtkhuRBV0EoNWrN/Tq
        PyUm0dougWgJbX/pESmdKseMJpkECoV+SDVC0PI4rRZk9X9T129XD50zyxD2gRk0
        oYbvpVgSJtoh0qDNZ7uKQ31O+W48zxhzs3+68xwfbZUKi8LQTD0p1FqBuTiSlTpO
        KxTPLf0CgYBLMauPR3SvnK/pjRq/aJg7wOREJ7gDroEoVrE7FAQyTWcNNZloeiz9
        mKlWiZZ2uqPV0ViU0VxK/m8UnSJRtP7mPG2ijJTWK17vj7gOA25I/DeQ+OiA7LKi
        G+gLH3Y1wEg7aTo8PVyWncfHm4EEBK8Axc9cGitE69pu6wKNcV/5Og==
        -----END RSA PRIVATE KEY-----